<template>
  <div>
    <div class="row">
      <div class="col-md-12">
        <click-button
          @click="$router.push({'path':'/admin/equipe/ajouter'})"
        >
          <template #content>
            Ajouter une équipe
          </template>
        </click-button>
      </div>
    </div>
    <br>
    <admin-team-table />
  </div>
</template>

<script>
import {mapActions, mapGetters} from "vuex";
import AdminTeamTable from "./AdminTeamTable";
import ClickButton from "../../../components/Button/ClickButton";

export default {
  name: "AdminTeamList",
  components: {ClickButton, AdminTeamTable},
  computed: {
    ...mapGetters([
      'teams',
    ])
  },
  created() {
    if(this.teams.length === 0)
      this.fetchTeams();
  },
  methods: {
    ...mapActions([
      'fetchTeams',
    ]),
  }
}
</script>

<style scoped>

</style>